Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
IndirectInterval Class Reference
Inheritance diagram for IndirectInterval:

## Public Member Functions
| __init__ (self, interval, startT=0, endT=None, playRate=1, duration=None, blendType='noBlend', name=None)
| privFinalize (self)
| privInitialize (self, t)
| privInstant (self)
| privInterrupt (self)
| privReverseFinalize (self)
| privReverseInitialize (self, t)
| privReverseInstant (self)
| privStep (self, t)
Public Member Functions inherited from Interval
| __init__ (self, name, duration, openEnded=1)
| __repr__ (self, indent=0)
| clearToInitial (self)
| finish (self)
| getDoneEvent (self)
| getDuration (self)
| getLoop (self)
| getName (self)
| getOpenEnded (self)
| getPlayRate (self)
| getState (self)
| getT (self)
| intervalDone (self)
| isPaused (self)
| isPlaying (self)
| isStopped (self)
| loop (self, startT=0.0, endT=-1.0, playRate=1.0)
| pause (self)
| popupControls (self, tl=None)
| privDoEvent (self, t, event)
| privPostEvent (self)
| resume (self, startT=None)
| resumeUntil (self, endT)
| setDoneEvent (self, event)
| setLoop (self, loop=1)
| setPlayRate (self, playRate)
| setT (self, t)
| setupPlay (self, startT, endT, playRate, doLoop)
| setupResume (self)
| start (self, startT=0.0, endT=-1.0, playRate=1.0)
| stepPlay (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| blendType = LerpBlendHelpers.getBlend(blendType)
| deltaT = endT - startT
tuple | endAtEnd = (endT == None or endT == interval.getDuration())
| endT = endT
| interval = interval
tuple | startAtStart = (startT == 0)
| startT = startT
Public Attributes inherited from Interval
float | currT = 0.0
| doneEvent = None
| duration = max(duration, 0.0)
| es
| name = name
| openEnded = openEnded
| pname = name.split('-', 1)[0]
| pstats = None
list | setTHooks = []
| state = CInterval.SInitial

## Static Public Attributes
int | indirectIntervalNum = 1
Static Public Attributes inherited from Interval
| notify = directNotify.newCategory("Interval")
int | playbackCounter = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}
Properties inherited from Interval
| done_event = property(getDoneEvent, setDoneEvent)
| open_ended = property(getOpenEnded)
| play_rate = property(getPlayRate, setPlayRate)
| stopped = property(isStopped)
| t = property(getT, setT)

## Detailed Description

    This class can be used to play samples of another interval, so
    that only a subset of the interval is played, or the time is
    compressed, or some such nonsense.

    It keeps a reference to the interval itself and repeatedly calls
    setT() on it, rather than actually starting the interval or
    copying its members like Sequence() or Parallel().  This means two
    IndirectIntervals that operate on the same nested interval may
    have some interaction that you should be aware of.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | interval,
|  |  | startT = 0,
|  |  | endT = None,
|  |  | playRate = 1,
|  |  | duration = None,
|  |  | blendType = 'noBlend',
|  |  | name = None )

## Member Function Documentation

## ◆ privFinalize()

privFinalize | ( |  | self | ) |

Reimplemented from Interval.

## ◆ privInitialize()

privInitialize | ( |  | self,
|  |  | t )

Reimplemented from Interval.

## ◆ privInstant()

privInstant | ( |  | self | ) |

Reimplemented from Interval.

## ◆ privInterrupt()

privInterrupt | ( |  | self | ) |

Reimplemented from Interval.

## ◆ privReverseFinalize()

privReverseFinalize | ( |  | self | ) |

Reimplemented from Interval.

## ◆ privReverseInitialize()

privReverseInitialize | ( |  | self,
|  |  | t )

Reimplemented from Interval.

## ◆ privReverseInstant()

privReverseInstant | ( |  | self | ) |

Reimplemented from Interval.

## ◆ privStep()

privStep | ( |  | self,
|  |  | t )

Reimplemented from Interval.

## Member Data Documentation

## ◆ blendType

blendType = LerpBlendHelpers.getBlend(blendType)

## ◆ deltaT

deltaT = endT - startT

## ◆ endAtEnd

tuple endAtEnd = (endT == None or endT == interval.getDuration())

## ◆ endT

endT = endT

## ◆ indirectIntervalNum

int indirectIntervalNum = 1
| static

## ◆ interval

interval = interval

## ◆ startAtStart

tuple startAtStart = (startT == 0)

## ◆ startT

startT = startT